﻿@using System.Web.UI.WebControls;
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@Html.Partial("~/Views/Shared/_PartialScript.cshtml")
@Html.Partial("_SHIPPING_SCHEDULEScript")

<div class="content">
    <table style="width: 100%">
        <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "BUYER CD";
                }).GetHtml()
                @Html.DevExpress().TextBox(hsettings =>
                    {
                        hsettings.Name = "Process_ID2";
                        hsettings.ClientVisible = false;
                    }).GetHtml()
            </td>
            <td>
               @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_BUYER_CD";
                        settings.Width = 100;
                        settings.Properties.DropDownWidth = 650;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.CallbackRouteValues = new { Controller = "SHIPPING_SCHEDULE", Action = "GetBuyyerForCombo" };
                        settings.Properties.CallbackPageSize = 30;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.StartsWith;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueField = "BUYER_CD";
                        settings.Properties.ValueType = typeof(string);
                        settings.Properties.Columns.Add("BUYER_CD", "BUYER_CD", 130);
                        settings.Properties.Columns.Add("BUYER_NAME", "BUYER_NAME", Unit.Percentage(500));
                    }
               ).BindList(ViewData["BUYER"]).GetHtml()
            </td>
            <td style="width: 5px">
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "VANNING DATE FROM";
                }).GetHtml()
            </td>           
            <td>
              @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_VANNING_DT_FROM";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString ="yyyy.MM.dd"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "yyyy.MM.dd";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
                  //settings.Properties.ClientSideEvents.DateChanged = "I_ETA_OnChanged";
              }).GetHtml()
            </td>
            <td style="width: 5px">
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "TO";
                }).GetHtml()
            </td>
            <td>
              @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_VANNING_DT_TO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "yyyy.MM.dd"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "yyyy.MM.dd";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
                  //settings.Properties.ClientSideEvents.DateChanged = "I_ETA_OnChanged";
              }).GetHtml()
            </td> 
            <td style="width: 5px">
            </td>            
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "ETD FROM";
                }).GetHtml()
            </td>
            <td>
               @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_ETD_FROM";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString ="yyyy.MM.dd"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "yyyy.MM.dd";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
                  //settings.Properties.ClientSideEvents.DateChanged = "I_ETA_OnChanged";
              }).GetHtml()
            </td>
            <td style="width: 5px">
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "TO";
                }).GetHtml()
            </td>
            <td>
               @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_ETD_TO";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString ="yyyy.MM.dd"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "yyyy.MM.dd";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 110;
                  //settings.Properties.ClientSideEvents.DateChanged = "I_ETA_OnChanged";
              }).GetHtml()
            </td>            
            <td style="width: 5px">
            </td>
            <td >
                @Html.DevExpress().Button(
                 edtSetting =>
                 {
                     edtSetting.Name = "cmdSearch";
                     edtSetting.Text = "Search";
                     edtSetting.Width = 75;
                     edtSetting.ClientSideEvents.Click = "OnSearch";
                     edtSetting.Style.Add("display", "inline-table");
                     edtSetting.UseSubmitBehavior = true;
                     //di nonaktifin dulu untuk direct login
                     edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_SCHEDULE", "FTR-SPEX-55-01", "SEARCH");
                     //edtSetting.ClientSideEvents.Init = "InitData";
                 }
                 ).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Button(
                edtSetting =>
                {
                    edtSetting.Name = "cmdClear";
                    edtSetting.Width = 75;
                    edtSetting.Text = "Clear";
                    edtSetting.ClientSideEvents.Click = "OnClear";
                    edtSetting.Style.Add("display", "inline-table");
                    edtSetting.UseSubmitBehavior = true;
                    //di nonaktifin dulu untuk direct login
                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_SCHEDULE", "FTR-SPEX-55-01", "CLEAR");
                   // edtSetting.ClientSideEvents.Init = "InitData";
                }).GetHtml()
            </td>
        </tr>         
    </table>


</div>
<div class="content" style="min-height: 300px">
    @Html.Partial("_SHIPPING_SCHEDULEGrid")
    @*<form class="form-inline" id="formUpload" method="post"
    action="@Url.Content("~/SHIPPING_SCHEDULE/UploadExcel")"
    enctype="multipart/form-data"
    onsubmit="return ValidateExcel(this);"
    >
    *File : 
    <input type="file" id="fileexcel" name="fileexcel" />
    <button type="submit" class="btn btn-default" id="uploadButton" onclick="">UPLOAD SHIPPING SCHEDULE</button>               
    </form>*@
 @*   <table>
    <tr>
    <td>
    <div class="uploadContainer">*@
    <table>
    <th>
    @using (Html.BeginForm("CallbackUpload", "SHIPPING_SCHEDULE", FormMethod.Post))
    {
    
        @Html.DevExpress().UploadControl(
        Uploader =>
        {
            Uploader.Name = "UploadButton";
            Uploader.CallbackRouteValues = new { Controller = "SHIPPING_SCHEDULE", Action = "CallbackUpload" };
            Uploader.ShowProgressPanel = false;
            Uploader.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
            Uploader.ClientSideEvents.FileUploadComplete = "function(s,e){ if(e.callbackData != ''){ EndUploadCallBack(e.callbackData);}}";
            Uploader.Width = 300;
            
        }).GetHtml()    
    }   
    </th>
    <th>
      @Html.DevExpress().Button(Button =>
                                {
                                    Button.Name = "I_Upload";
                                    Button.Text = "Upload";
                                    Button.Width = 90;
                                    Button.ClientSideEvents.Click = "UploadData";
                                    //Button.Style.Add("display", "inline-table");
                                    Button.UseSubmitBehavior = true;
                                    Button.ClientEnabled = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_SCHEDULE", "FTR-SPEX-55-01", "Upload");
                                }).GetHtml()
    </th>    
    <th>
        @Html.DevExpress().Button(Button =>
                   {
                       Button.Name = "cmdDelete";
                       Button.Text = "Delete";
                       Button.Width = 75;
                       Button.Style.Add("display", "inline-table");
                       Button.ClientSideEvents.Click = "DeleteData";
                       Button.UseSubmitBehavior = true; ;
                      // Button.ClientSideEvents.Init = "InitData";
                       Button.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("SHIPPING_SCHEDULE", "FTR-SPEX-55-01", "DELETE");
                 
                   }).GetHtml()   
    </th>
    <tr>
    <td>
     @Html.DevExpress().HyperLink(Link =>
                                {
                                    Link.Name = "I_DownloadLink";
                                    Link.Properties.Text = "Download Template";
                                    Link.Width = 160;
                                    //Link.Height = 20;
                                    Link.NavigateUrl = "Template/TemplateShippingSchedule.xls";
                                    Link.Style.Add("display", "inline-table");
                                    //Button.ClientSideEvents.Click = "Upload";
                                    
                                }).GetHtml()
     
    </td>
    </tr>
    </table>
    
    
</div>

